%define	name	warzone2100
%define	version	2.0.10
%define	release	1
%define	Summary	Postnuclear realtime strategy

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Group:		Games/Strategy
# original source with game data stripped
Source0:	http://download.gna.org/warzone/releases/2.0/%{name}-%{version}.tar.bz2
Url:		http://wz2100.net/
Summary:	%{Summary}
License:	GPL
BuildRequires:	SDL-devel SDL_net-devel oggvorbis-devel openal-devel flex
BuildRequires:	mesa-common-devel mad-devel ImageMagick physfs-devel bison
BuildRequires:	jpeg-devel png-devel desktop-file-utils automake1.8 zip
Obsoletes:	warzone2100-opengl warzone2100-software
Provides:	warzone2100-opengl warzone2100-software
Requires:	%{name}-data = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Upon entering the game you land from your transport and establish your base.
Here you conduct research, design and manufacture vehicles, build new
structures and prepare your plans of global conquest. If the game goes badly
you'll end up fighting last ditch battles here to defend your base from
enemy attacks.

Combat is frenetic, with extensive graphical effects and damage to the
terrain and buildings giving rise to flying shrapnel and boulders. Within
the game are many different structures and vehicles. From an initial Command
Centre, you then go on to build Resource Extractors to provide fuel for Power
Generators, which in turn supply energy to Factories, Research Facilities and
weapons emplacements to protect your base.

Features:
 * 400+ Technologies to research 
 * 2,000+ different units to design 
 * 3 Large campaign maps to conquer 
 * 24 Fast play mission maps for extra action 
 * Intelligence Display sets objectives dynamically 
 * Interactive message system 
 * Fast Play Interface graphically Based 
 * Quick Screen Navigation 
 * Fast Find System for units & structures 
 * Set Factories to constant production 
 * Automatically send each factory's units to where you want them 

The Warzone 2100 ReDev Project aims to continue the vision of Pumpkin studios
started in 1999 with the game Warzone 2100, Which was closed source until
Dec 6, 2004 when it was let out the doors for the first time under a
GPL license.

%prep
%setup -q

%build

./autogen.sh

perl -pi -e "s#-m32##g" ./makerules/common.mk
perl -pi -e "s#-m32##g" configure
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--disable-data \
		--with-distributor="Mandriva"


%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/games/applications/*.desktop %{buildroot}%{_datadir}/applications/

#remove unwanted extension
sed -i s/"warzone2100.png"/"warzone2100"/"" %{buildroot}%{_datadir}/applications/warzone2100.desktop

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--remove-key="TryExec" \
			--add-category="Game;StrategyGame" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert -resize 16x16 icons/warzone2100.png %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 32x32 icons/warzone2100.png %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 48x48 icons/warzone2100.png %{buildroot}%{_liconsdir}/%{name}.png
rm -rf %{buildroot}%{_datadir}/games/icons/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_datadir}/doc/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(755,root,root) %{_gamesbindir}/%{name}
%{_gamesdatadir}/warzone2100/*.wz


%changelog
* Sun Feb 03 2008 Emmanuel Andry <eandry@mandriva.org> 2.0.10-1mdv2008.1
+ Revision: 161733
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-1mdv2008.1
+ Revision: 120385
- New version
- fix desktop file validation

* Sun Jul 08 2007 Funda Wang <fundawang@mandriva.org> 2.0.7-1mdv2008.0
+ Revision: 49732
- Remove duplicated files
- fix spec file on icon dir
- New version

* Sun May 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.6-1mdv2008.0
+ Revision: 28841
- update to latest version
- buildrequires on zip
- correct configure options
- drop old menu style
- own missing files


* Mon Jan 15 2007 Olivier Blin <oblin@mandriva.com> 2.0.5-2mdv2007.0
+ Revision: 109210
- update url

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.5-1mdv2007.1
+ Revision: 108425
- New version 2.0.5

* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 2.0.4-5mdv2007.1
+ Revision: 90018
- buildrequire desktop-file-utils
- buildrequires png-devel
- buildrequires jpeg-devel
- remove TryExec from XDG menu (so that it appears in KDE)
- Import warzone2100

* Wed Sep 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-4mdv2007.0
- fix buildrequires

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.4-3mdv2007.0
- add Game;StrategyGame in xdg category

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-2mdv2007.0
- add missing buildrequires

* Tue Aug 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-1mdv2007.0
- 2.0.4
- fix buildrequires
- merge packages
- update url

* Sat Aug 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-6mdv2007.0
- xdg menu

* Thu Sep 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-5mdk
- rebuild to fix path to menudir on x86_64

* Fri Sep 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-4mdk
- enable 64 bit build (not considered safe)
- make %%build --short-circuitable

* Sat Sep 03 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-3mdk
- split out data in own package to be able to provide smaller releases
- build software accelerated binary too

* Fri Sep 02 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-2mdk
- fix summary

* Thu Sep 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.2-1mdk
- initial release

